summaryrefslogtreecommitdiff
path: root/root/sbin/ifdown
diff options
context:
space:
mode:
Diffstat (limited to 'root/sbin/ifdown')
-rwxr-xr-xroot/sbin/ifdown8
1 files changed, 8 insertions, 0 deletions
diff --git a/root/sbin/ifdown b/root/sbin/ifdown
new file mode 100755
index 0000000000..d1d19b0333
--- /dev/null
+++ b/root/sbin/ifdown
@@ -0,0 +1,8 @@
+#!/bin/ash
+. /etc/functions.sh
+ type=$1
+ debug "### ifdown $type ###"
+ if=$(nvram_get ${type}_ifname)
+ if_valid $if || return
+ kill $(cat /var/run/${if}.pid 2>-) 2>-
+ $DEBUG ifconfig $if down